      PROGRAM UERERR2T                                                          
C                                                                               
C     TEST(1): CALL OF UERERR-INCORRECT PARAMETERS                              
C     ********************************************                              
C                                                                               
      CALL RITE(1)                                                              
      CALL UERERR('UERTEST',1,2,3,'Z')                                          
      CALL DMPUER(7,'TEST OF UERERR-INCORRECT PARAMETERS')                      
C                                                                               
C     TEST (2): CALL OF UERERR-CORRECT PARAMETERS                               
C     *******************************************                               
C                                                                               
      CALL RITE(2)                                                              
      CALL UERERR('UERTEST',1,2,3,'F')                                          
      CALL DMPUER(7,'TEST OF UERERR-CORRECT PARAMETERS')                        
C                                                                               
      STOP                                                                      
      END                                                                       
C                                                                               
      SUBROUTINE RITE(I)                                                        
C                                                                               
      INTEGER*4  I                                                              
C                                                                               
      WRITE(6,100)                                                              
      WRITE(7,100)                                                              
      WRITE(6,200)I                                                             
      WRITE(7,200)I                                                             
      WRITE(6,300)                                                              
      WRITE(7,300)                                                              
C                                                                               
100   FORMAT(X,//)                                                              
200   FORMAT(X,'TEST(',I,')')                                                   
300   FORMAT(X,/)                                                               
C                                                                               
      RETURN                                                                    
      END                                                                       
